SLURMD(8)

NAME
slurmd - The compute node daemon for SLURM.

SYNOPSIS
slurmd [OPTIONS...]

DESCRIPTION
slurmd is the compute node daemon of Slurm. It monitors all tasks running on the compute node , accepts work (tasks), launches tasks, and kills running tasks upon request.

OPTIONS

-c  Clear system locks as needed. This may be required if slurmd terminated abnormally.

-D  Run slurmd in the foreground. Error and debug messages will be copied to stderr.

-M  Lock slurmd pages into system memory using mlockall(2) to disable paging of the slurmd process. This may help in cases where nodes are marked DOWN during periods of heavy swap activity. If the mlockall(2) system call is not available, an error will be printed to the log and slurmd will continue as normal.

-h  Help; print a brief summary of command options.

-f <file>
    Read configuration from the specified file. See NOTES below.

-L <file>
    Write log messages to the specified file.

-v  Verbose operation. Multiple -v's increase verbosity.

-V  Print version information and exit.

ENVIRONMENT VARIABLES
The following environment variables can be used to override settings compiled into slurmd.

SLURM_CONF
    The location of the SLURM configuration file. This is overridden by explicitly naming a configuration file on the command line.

NOTES
It may be useful to experiment with different slurmd specific configuration parameters using a distinct configuration file (e.g. timeouts). However, this special configuration file will not be used by the slurmctld daemon or the Slurm programs, unless you specifically tell each of them to use it. If you desire changing communication ports, the location of the temporary file system, or other parameters used by other Slurm components, change the common configuration file, slurm.conf.

COPYING
Copyright (C) 2002-2006 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-226842.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

FILES

/etc/slurm.conf

SEE ALSO
slurm.conf(5), slurmctld(8)